Subject: Re: [PATCH RFC v2 0/5] Introduce git-last-modified(1) command

From: Junio C Hamano <[email-masked]>
Date: Wed, 09 Jul 2025 10:00:52 -0700

Toon Claes <[email-masked]> writes:

> After some more testing and tinkering with the code, I've decided to
> keep the behavior for several reasons:
>
> 1. While behavior differs from git-ls-tree(1) (see above), current
>    behavior is identical to git-diff-tree(1):
>
>    $ git diff-tree HEAD~1000 HEAD -- refs.c refs.h Documentation/git-last-modified.adoc Documentation/git-config.adoc
>    :040000 040000 810861a07e1360d3e3fa00db3c0d01e0604ff27a 1b01b770c15e7ae586452bb3587c3ce7c01abd91 M	Documentation
>    :100644 100644 55d2e0b2cb9e959443e98eb329fdf97eff9073a9 dce5c49ca2ba65fd6a2974e38f67134215bee369 M	refs.c
>    :100644 100644 d278775e086bfa7990999c226ad1db2f488e890d 46a6008e07f2624239139cd8b2ff712545f07d3f M	refs.h
>
>    Both git-diff-tree(1) and git-last-modified(1) are marked as plumbing
>    commands, git-ls-tree(1) isn't. So I think that okay.

Good.

We may want to "fix" this "inconsistency" someday, and I think it is
a bug that ls-tree is not marked as plumbing.  But this is a topic
about last-modified, so it is fine.

Thanks.